/*
 * Generator   : PPWIZARD version 99.101
 *             : FREE tool for OS/2, Windows, DOS and UNIX by Dennis Bareis (db0@anz.com)
 *             : http://www.labyrinth.net.au/~dbareis/ppwizard.htm
 * Time        : Tuesday, 20 Apr 1999 5:45:23pm
 * Input File  : E:\DB\PROJECTS\OS2\ppwizard\BIN2PPW.X
 * Output File : .\OUT\BIN2PPW.CMD
 */

PgmVersion="98.241"
Parameters=arg(1)
if Parameters='' then
SyntaxError('No parameters passed')
parse var Parameters InputFile Longest Indent RexxVarName
InputFile=strip(InputFile)
if stream(InputFile, 'c', 'query exists') = '' then
SyntaxError('The input file "' || InputFile || '" does not exist.')
if Longest='' then
Longest=16*4
if Indent<> '' then
Indent=copies(' ',Indent)
if RexxVarName='' then
RexxVarName='BinaryData'
say ''
say Indent|| ';---[ ' || InputFile || ' ]----------------------------'
say Indent|| '#evaluate "" ^' || RexxVarName || ' =  \'
Indent=Indent||copies(' ',13)
TotalRead=0
LongestDataLine=0
CloseRc=stream(InputFile, 'c', 'close')
do until DataLength<>Longest
Data=charin(InputFile,,Longest)
DataLength=length(Data)
if TotalRead=0 then
Header=Indent|| "    "
else
Header=Indent|| " || "
DataLine=Header|| '"' || c2x(Data) || '"x'
if length(DataLine)>LongestDataLine then
LongestDataLine=length(DataLine)
say left(DataLine,LongestDataLine)|| '  \'
TotalRead=TotalRead+DataLength
end
say Indent|| '^'
CloseRc=stream(InputFile, 'c', 'close')
exit(0)
SyntaxError:
ExitRc=SIGL
say '[]---------------------------------------------------------------[]'
say '| BIN2PPW.CMD: Version ' || PgmVersion || ' (C)opyright Dennis Bareis 1998      |'
say '|              http://www.labyrinth.net.au/~dbareis (db0@anz.com) |'
say '[]---------------------------------------------------------------[]'
say ''
say 'This is a simple command to convert a binary file into a PPWIZARD "#evaluate"'
say 'command which creates a rexx variable.  You can regenerate the file using'
say 'simple rexx commands within PPWIZARD (see end of OL_DOC.DH for an example).'
say ''
say 'CORRECT SYNTAX'
say '~~~~~~~~~~~~~~'
say '   BIN2PPW[.CMD]  InputFile  [Longest  [Indent  [RexxVarName]]] [>OutputFile]'
say ''
say 'WHERE'
say '~~~~~'
say '   InputFile   = Name of Input File (all other parameters optional)'
say '   Longest     = Maximum number of bytes to dump in one line'
say '   Indent      = Number of spaces for indenting (0 = none)'
say '   RexxVarName = Name of rexx variable to hold result'
say ''
say 'THE PROBLEM'
say '~~~~~~~~~~~'
say '   ' || arg(1) || ''
exit(ExitRc)
